List available payment methods for order
List available payment methods for order.
Required permissions: SALES_ORDER,RETURN_ORDER
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/payment-methods
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+orderUidstringRequiredPattern:
Reference to an Order.
^[A-Za-z0-9-_]+Body
orderItemUidsstring[]Optional
Responses
200
Example response
application/json
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/payment-methods
POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/payment-methods HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 26
{
"orderItemUids": [
"text"
]
}200
Example response
{
"items": [
{
"allowCashback": true,
"allowPrepayment": true,
"name": "text",
"description": "text",
"receiptText": "text",
"parameters": [
{
"name": "text",
"description": "text",
"required": true,
"key": "text",
"keyType": "TEXT",
"regex": "text"
}
],
"agreements": [
{
"tenantPaymentMethodAgreementUid": "text",
"name": "text",
"productUid": "text",
"percentage": 1,
"position": 1
}
],
"paymentCode": "CASH",
"storePaymentMethodUid": "text",
"requirements": {
"requireCustomer": true,
"requireCustomerMobile": true,
"requireCustomerEmail": true,
"requireCustomerType": "ANY",
"requireCustomerContact": true,
"requireExclusiveUse": true,
"requireRefundToSameMethod": true
},
"settlementCode": "text",
"presentation": {
"selectable": true,
"severity": "NONE",
"reasonCode": "ELIGIBLE",
"message": "text",
"visibility": "FEATURED",
"position": 1,
"amountInput": "NONE",
"minimumPaymentAmount": 1,
"maximumPaymentAmount": 1
},
"useRounding": true
}
],
"messages": [
{
"orderItemUid": "text",
"message": "text"
}
]
}Last updated
Was this helpful?

